<!--
  Generated template for the PastRidesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Offered Rides</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="grey-background">

	<div *ngIf="currentUser.driver == false">
    <div class="text-center pad-sides pad-top">
			<h2 ion-text-center class="text-theme">You're not approved to drive yet.</h2>
      <p class="pad-bottom">Please take photos of your valid driver's license, insurance card, registration and vehicle and then click the "Apply to Drive" button below. It can take up to 24 hours to be approved to drive.</p>
      <button (click)="driverApply()" ion-button block class="bg-theme text-white btn rounded">
        Apply To Drive 
      </button>
    </div>
	</div>

  <div>
  	<ion-list inset *ngFor="let r of pastRides; let i = index" class="text-center rides" ion-text-center>
        <ion-card >
          <ion-card-content>
            <ion-grid>
              <ion-row (click)="viewRide(i)">

                <ion-col col-4>
                  <h4> <strong> {{r.date}} </strong> </h4>
                </ion-col>

                <ion-col col-4>
                  <p> {{r.seats}}<small> seats</small></p> 
                  <span *ngIf="r.ride_type == 'Airport'" class="badge badge-success"> Airport Ride </span> 

                </ion-col>

                <ion-col col-4>
                  <h2 class="text-theme text-align-right"><strong> ${{r.price}}  </strong> </h2>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col col-12>
                <div class="ride-detail">
                  <p><span class="icon-location bg-theme"></span><strong>{{r.start }}</strong> {{r.city_from}}</p>
                  <p><span class="icon-location bg-stop"></span><strong>{{r.end}}</strong> {{r.city_to}} </p>
                  <p *ngFor="let stop of r.stop"> Stop: {{stop.city_name}} </p>
                </div>
              </ion-col>
              </ion-row>
              <ion-row>
                <p>{{r.passengerCount}} passengers</p>
              </ion-row>
              <ion-row>
                <ion-col col-4>
                  <button (click)="viewRide(r)" ion-button small color="primary" >
                    View
                  </button>
                </ion-col>
                <ion-col col-4 >
                  <button (click)="completeRide(r)" *ngIf="r.completed == 'Ongoing' && r.passengerCount > 0"
                  ion-button small color="warning" >
                    Complete
                  </button>
                  <p *ngIf="r.completed == 'Completed'"> Ride Completed </p>
                </ion-col>
                <ion-col col-4>
                  <button (click)="reportProblem(r.id, r.passengerCount)" ion-button small color="danger" >
                    Report 
                  </button>
                </ion-col>
              </ion-row>
            </ion-grid> 
          </ion-card-content>
        </ion-card>
    </ion-list>
  </div>
	
  <ion-item *ngIf="rides <= 0">
    <p> You have no current rides.</p>
  </ion-item>

	<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
	   <ion-infinite-scroll-content></ion-infinite-scroll-content>
	 </ion-infinite-scroll>

</ion-content>
